# Class CardRotatingLayout

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a layout that arranges cards with a rotating behavior, likely managing the visual positioning and orientation of card elements within a container.

    public class CardRotatingLayout

Inheritance
  object
  CardRotatingLayout

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Data

    public CardConfig Data { get; set; }

#### Property Value

CardConfig

### DataId

    public ObjectId DataId { get; set; }

#### Property Value

ObjectId

### MillisecondsBeforeRotating

    public int MillisecondsBeforeRotating { get; set; }

#### Property Value

int

### Mode

    public DisplayConfigEnums.RotatingLayoutMode Mode { get; set; }

#### Property Value

DisplayConfigEnums.RotatingLayoutMode

### Name

    public string? Name { get; set; }

#### Property Value

string

### Order

    public int? Order { get; set; }

#### Property Value

int?

### Title

    public string? Title { get; set; }

#### Property Value

string

### Type

    public DisplayConfigEnums.RotatingLayoutType Type { get; set; }

#### Property Value

DisplayConfigEnums.RotatingLayoutType